ATA_SCSI_SIMULATE(9)

NAME
ata_scsi_simulate - simulate SCSI command on ATA device

SYNOPSIS

void ata_scsi_simulate(struct ata_device * dev, struct scsi_cmnd * cmd);

ARGUMENTS

dev
    the target device

cmd
    SCSI command being sent to device.

DESCRIPTION

Interprets and directly executes a select list of SCSI commands that can be handled internally.

LOCKING

spin_lock_irqsave(host lock)

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT